#!/bin/bash

BASEDIR=$(dirname "$0")/..

function update_dependencies {
  cd "$1" || exit 1
  composer install --no-dev -o
  composer dump-autoload --no-dev --classmap-authoritative
  find ./vendor -name .git -type d -prune -exec rm -rf {} \;
  find ./vendor  -type f -name '.*' -delete
}

# Root dependencies.
update_dependencies "$BASEDIR";

# Box token manager.
update_dependencies "$BASEDIR"/modules/box;


